EUSCALE-PUT-SCALING-POLICY(1)

NAME
euscale-put-scaling-policy - Create or update an auto-scaling group's scaling policy

SYNOPSIS
euscale-put-scaling-policy -g ASGROUP -a SCALE -t

{ChangeInCapacity,ExactCapacity,PercentChangeInCapacity}
    [--cooldown SECONDS] [-s PERCENT] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] POLICY

DESCRIPTION
Create or update an auto-scaling group's scaling policy

  positional arguments:

POLICY
    name of the policy to create or update (required)

  optional arguments:

-g ASGROUP, --auto-scaling-group ASGROUP
    name of the auto-scaling group the policy is associated with (required)

-a SCALE, --adjustment SCALE
    amount to scale the group's capacity of the group. Use a negative value, as in "--adjustment=-1", to decrease capacity. (required)

-t {ChangeInCapacity,ExactCapacity,PercentChangeInCapacity}, --type {ChangeInCapacity,ExactCapacity,PercentChangeInCapacity}
    whether the adjustment is the new desired size or an increment to the group's current capacity. An increment can either be a fixed number or a percentage of current capacity. (required)

--cooldown SECONDS
    waiting period after successful auto-scaling activities during which later auto-scaling activities will not execute

-s PERCENT, --min-adjustment-step PERCENT
    for a PercentChangeInCapacity type policy, guarantee that this policy will change the group's desired capacity by at least this much

-U URL, --url URL
    auto-scaling service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit